I just want to make you aware that a new security update for SharePoint (WSSv3 / MOSS2007) got released:

Microsoft Security Bulletin MS10-039 - Vulnerabilities in Microsoft SharePoint Could Allow Elevation of Privilege (2028554)
See also KB979445  -> MS10-039: Description of the security update for Microsoft Office SharePoint Server 2007: June 8, 2010

Update:
In case you have installed Feb 2010 CU for WSS V3 you should be safe. We are offering our updates in a cumulative update cycle so our February Update already contains the fix mentioned in the security bulletin. Unfortunately not all SharePoint environments worldwide are updated regularly so just a reminder to think about an update.

Second Update:
We updated the KB Article KB979445 to give you more insights when a problem happens.

For more troubleshooting we updated also the KB article:
944267          How to troubleshoot common errors that occur when you run  the SharePoint Products and Technologies Configuration Wizard on a computer that is running Windows SharePoint Services 3.0 or SharePoint Server 2007.